summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-14 07:52:38 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-14 07:52:38 +0000
commit01132f4abbad28293d1efa8b3d36ebc0bf3688ee (patch)
tree11295556b6e76b045ea4b54f0a7997c3359dfab6 /dev-python
parent0422c762a11ff5f24c2a02ba04c14eaf2e0d4f2a (diff)
downloadbaldeagleos-repo-01132f4abbad28293d1efa8b3d36ebc0bf3688ee.tar.gz
baldeagleos-repo-01132f4abbad28293d1efa8b3d36ebc0bf3688ee.tar.xz
baldeagleos-repo-01132f4abbad28293d1efa8b3d36ebc0bf3688ee.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/QtPy/QtPy-2.4.1-r2.ebuild (renamed from dev-python/QtPy/QtPy-2.4.1-r1.ebuild)2
-rw-r--r--dev-python/asteval/Manifest2
-rw-r--r--dev-python/asteval/asteval-1.0.3.ebuild (renamed from dev-python/asteval/asteval-1.0.1.ebuild)0
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.35.19.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.35.19.ebuild76
-rw-r--r--dev-python/cfn-lint/Manifest4
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.12.2.ebuild70
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.12.3.ebuild70
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.13.0.ebuild (renamed from dev-python/cfn-lint/cfn-lint-1.12.1.ebuild)0
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.112.1.ebuild103
-rw-r--r--dev-python/mkdocs-htmlproofer-plugin/Manifest1
-rw-r--r--dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.3.0.ebuild33
-rw-r--r--dev-python/ml-dtypes/Manifest1
-rw-r--r--dev-python/ml-dtypes/ml-dtypes-0.5.0.ebuild62
-rw-r--r--dev-python/platformdirs/Manifest1
-rw-r--r--dev-python/platformdirs/platformdirs-4.3.3.ebuild54
-rw-r--r--dev-python/pybind11/Manifest1
-rw-r--r--dev-python/pybind11/pybind11-2.13.6.ebuild75
-rw-r--r--dev-python/pyparsing/Manifest1
-rw-r--r--dev-python/pyparsing/pyparsing-3.2.0_beta1.ebuild58
-rw-r--r--dev-python/pyproject-metadata/Manifest2
-rw-r--r--dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta1.ebuild31
-rw-r--r--dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta3.ebuild32
-rw-r--r--dev-python/qiskit-aer/Manifest2
-rw-r--r--dev-python/qiskit-aer/qiskit-aer-0.15.1.ebuild (renamed from dev-python/qiskit-aer/qiskit-aer-0.14.2.ebuild)0
-rw-r--r--dev-python/scikit-build-core/Manifest3
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.10.4.ebuild62
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.9.10.ebuild63
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild63
-rw-r--r--dev-python/simsimd/Manifest1
-rw-r--r--dev-python/simsimd/simsimd-5.2.1.ebuild63
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-25.21.1.ebuild129
-rw-r--r--dev-python/sqlglot/sqlglot-25.21.2.ebuild129
-rw-r--r--dev-python/system_hotkey/files/system_hotkey-1.0.3-fix-collections-iterable.patch15
-rw-r--r--dev-python/system_hotkey/system_hotkey-1.0.3.ebuild17
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-2.2.3.ebuild93
-rw-r--r--dev-python/uv/Manifest6
-rw-r--r--dev-python/uv/files/tokio-tar-0.3.1-ppc.patch35
-rw-r--r--dev-python/uv/uv-0.4.10.ebuild (renamed from dev-python/uv/uv-0.4.8.ebuild)9
-rw-r--r--dev-python/uv/uv-0.4.6.ebuild114
-rw-r--r--dev-python/uv/uv-0.4.7.ebuild142
-rw-r--r--dev-python/xpybutil/xpybutil-0.0.6.ebuild2
-rw-r--r--dev-python/zipp/Manifest1
-rw-r--r--dev-python/zipp/zipp-3.20.2.ebuild53
49 files changed, 1096 insertions, 644 deletions
diff --git a/dev-python/QtPy/QtPy-2.4.1-r1.ebuild b/dev-python/QtPy/QtPy-2.4.1-r2.ebuild
index 1c4e50629bb6..cddd6109066a 100644
--- a/dev-python/QtPy/QtPy-2.4.1-r1.ebuild
+++ b/dev-python/QtPy/QtPy-2.4.1-r2.ebuild
@@ -24,7 +24,7 @@ _IUSE_QT_MODULES="
printsupport qml quick sensors serialport speech +sql svg testlib
webchannel webengine websockets +widgets +xml
"
-IUSE="+pyqt5 pyqt6 pyside2 pyside6 ${_IUSE_QT_MODULES}"
+IUSE="+pyqt5 +pyqt6 pyside2 pyside6 ${_IUSE_QT_MODULES}"
unset _IUSE_QT_MODULES
REQUIRED_USE="
diff --git a/dev-python/asteval/Manifest b/dev-python/asteval/Manifest
index 4dece5d174be..fee862b9b1a9 100644
--- a/dev-python/asteval/Manifest
+++ b/dev-python/asteval/Manifest
@@ -1,2 +1,2 @@
-DIST asteval-1.0.1.gh.tar.gz 45620 BLAKE2B ffa428e7a8c1ad13cef9872daddf50bf64816685c771832b5d61acfcd573d18f0ddf6212e2483deb67852d8f618c9dcce6687b38d3448dc374f1d373970d7b24 SHA512 f2af1f501446a62608e996f5633ab6f772c69c5177cac3ee255d79262728ce305d2a75402fdb1c34519ba67efbb4f261c3a959d7333adcaf819ac22e3d56709e
DIST asteval-1.0.2.gh.tar.gz 45578 BLAKE2B 87bf6c9eaf4cb8f202bf78f8eb8b670fa7c4619384b8b07dd0b46fbba3f39508d16f69237a0798a705d5077fbe71930d7aa946e637668d5b41ec43d7b5802837 SHA512 6e7ae98e96c359852db46c3c2ba0fa9796375eea84b6f213fe59cf91fb3d9862effa759051e962daf6fc072579b907233166cd12ff4e9a2d04b62a519a8f9af8
+DIST asteval-1.0.3.gh.tar.gz 46346 BLAKE2B 1f0985030d9684db2fbb7f112e32e6d4434f3600a4825c50366aafd9d3a0f1c9a87143e09d6017c69e5ba0987f256162c9b516f2042f872e27469eeb82250214 SHA512 b7dcb52ebb56b114167b05dd743656b427db1bd416c7842fd5ee2ad5c81ff1c62cadcf94b29b218985e4bfbc2111f2ab0b0a6bca172b1092a50edce011fc5e31
diff --git a/dev-python/asteval/asteval-1.0.1.ebuild b/dev-python/asteval/asteval-1.0.3.ebuild
index 32214e0c7335..32214e0c7335 100644
--- a/dev-python/asteval/asteval-1.0.1.ebuild
+++ b/dev-python/asteval/asteval-1.0.3.ebuild
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2e53a98fc582..9c9ac1679a8d 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,4 +4,5 @@ DIST boto3-1.35.15.gh.tar.gz 859778 BLAKE2B f704c28f5510c0f495bbfd2e09ea303efedb
DIST boto3-1.35.16.gh.tar.gz 860020 BLAKE2B 2368b713cd51fd61596f50849e68f82188156a9ba80cf2b7608536f67ff9e57cb7e5cbd5529ab573d0fe1441d9572d3e8d2e6d0cd41e82237d968284c14247aa SHA512 5f5cf28b8dda8f1a136101095232346eafad886cea4ea5184295e7dd5233a18c04d51bd0398fc340d4092a916bdecfec0b7b71e009ec5e33dec86c445fcd05ac
DIST boto3-1.35.17.gh.tar.gz 860345 BLAKE2B 7c12c48a9f72eb278ec3ab4416770a9314b6c2177329c5ed6213e19464efe8c7979f4ef7ab821085a06f6ca8b46317a08a571ba9bcf98c157ab81022a6f889e0 SHA512 bb83a4b4f5738001ca51817f7557d7e71bd214028ab509e16f9e6743d7f108b524cf994ff659ab5a9bae0285924d36eaed18ce5381da1d7aefb1dfec03588b97
DIST boto3-1.35.18.gh.tar.gz 861400 BLAKE2B cfb106501e9c124ddd2ac286d42e811339e47db64e20bc06a97e12289df3896da60173dc13173c67bb70f6eed6506186867b6fc56bb21442cf7bdae0441a8003 SHA512 96b2cc164e37159cc175a15b96de86b43bc578711990d3048ed8e482fe17ea584a3b8fd765a328ef3ce770e832394a3dc933dee18fd7d4b52f05fbd4cf001f43
+DIST boto3-1.35.19.gh.tar.gz 861578 BLAKE2B 5011df66763e646768232a65022080ffbe3db08253f1bf3e192cf57be010ccdd08f8add78ec365e1c04d78ba1722cf6ef54fbc170f7f2419fcd370c08d48e3ce SHA512 faabd3ef8eb35a323ed64a711e0a026f8f77974516b05a93d389fb82b84932f69a2c784a1065811699dac4db016549f3756f24b879485b2dfb6ca380e6873670
DIST boto3-1.35.5.gh.tar.gz 854016 BLAKE2B f94d738e310725cd5f9c7b405a094155f3ecf640f02045662ed94ab3689ea549fde7eee19ae2be450768560ad705b8740fda78b79ed42cf536231626d247e09a SHA512 fc1106abbb306bacb80dce825bf71303e71b0d0698d7e3bb4dcaca4ea6e4f7a97e70753367200294f334b351e764bca57f2316afec854d2e46db4644dfefc25b
diff --git a/dev-python/boto3/boto3-1.35.19.ebuild b/dev-python/boto3/boto3-1.35.19.ebuild
new file mode 100644
index 000000000000..509842b2699d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.35.19.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 3cee2c15fc9c..a4572048cf85 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,4 +4,5 @@ DIST botocore-1.35.15.gh.tar.gz 13343518 BLAKE2B 7eef64c875cc175aa94271b72a30090
DIST botocore-1.35.16.gh.tar.gz 13347546 BLAKE2B c6acfbab36b849ac0dcac177b4c6edf0acade33eac6c2215eea66df2d63307bdc9c130fee42f4e62385eb52fde6578d8a185a9be30dc3fde378242182636eb76 SHA512 e5c016a0107db1977f72497361f0b5f4755c4a8c25a9e715b556c17ac93af7a5d88c2a771814a80eda634b9b551d07da187f6d2a3107c53aed44fbcbe459a041
DIST botocore-1.35.17.gh.tar.gz 13365877 BLAKE2B d442565f443cff97387e82bd68ad18dc437f46e733bd43996e10e0df5afb48c50fa0adc3f51a30df2d991844c69d1625c3bf1c6bd46dd7864e2bca1dc9f483c7 SHA512 ffd155a63bdf669af505db1f3e8f9dd23bde5772c14f2b9f4a6801395f6714cce059b996bd8aff62c7cdbb14e244eed86a69174a9f60e26c9d680a0943a8ac26
DIST botocore-1.35.18.gh.tar.gz 13374217 BLAKE2B abc19403bcbb09d7074decf895ee65770262abe1425380e42434dadbdb556c2ac634755642ec358611cba84cf9a0fd28e21ae1d5d0a75f939ba60b3487870d6f SHA512 8875ca2464134a7f688796ee8bda4f491ebb67bda208c37615d55f55f4bb056c3889147461c218a3f079afff67f6de7eb471fa0c216c514f5c134cd9d38d9944
+DIST botocore-1.35.19.gh.tar.gz 13376459 BLAKE2B ba64ff0dc221782ce23592a6d6a146a680e2b86aa734673d4b16d6fd83355958b32af0e86a6769d2237e6234d80fb7fb23d52e3bcd2187cfe7d3646307fdea38 SHA512 6988f442b573e951766f1978325937a29141436d976baedb9c29959d5ff64014520c1bee4a8ce9b0d4226f62a6efb081a0532b2a825811e8cb2de3217ed311ae
DIST botocore-1.35.5.gh.tar.gz 13303437 BLAKE2B 0a95351fbc93074bb0398871773120a194fe581a26f9a74c1101a5ea57bb3acb9a33937fc2d5a39a065988cdcc6dbe253bd2227cf93e670602ccc67ab82d8845 SHA512 5527420017a4a23d5593f5b3a0eb8caf15357642ed90cd73e0fe22774cc8f9f3637028286063e3e2810e5dafe52e882928269e5c82f6369be9af99bef18fb365
diff --git a/dev-python/botocore/botocore-1.35.19.ebuild b/dev-python/botocore/botocore-1.35.19.ebuild
new file mode 100644
index 000000000000..64a61a30c80b
--- /dev/null
+++ b/dev-python/botocore/botocore-1.35.19.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ case ${EPYTHON} in
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # memory use tests, probably fragile
+ tests/functional/leak/test_resource_leaks.py::TestDoesNotLeakMemory
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 45a4cb4a2446..db84a4cb34d8 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,6 +1,4 @@
DIST cfn_lint-1.10.3.tar.gz 2418034 BLAKE2B f889112d5572401dd5333d1a9edcb277c6150bc58ba8d6e64322d4eb732be706386b795cb4abb4ec7a03855394b7c95f1f7048d2cd499fd2717f5cbe4458ee32 SHA512 b81a8afef2c2b5fcc3e9e5557908bd6510714421cae9e0a1319019ca23ba41b904e69888b9f84dcc5f612dfacf745071a79251c773b816b9e7d7b347e4e26586
DIST cfn_lint-1.11.1.tar.gz 2415408 BLAKE2B c164f6cd520e4106ff9cfaaffdcb66860c3e66060aad484a488f22a304c56c5a365389e63f948d647e37e10ead5f6c8e5bb435c842377e4db122805d7bab218c SHA512 c8295874345b2a561e521b732031558ff4d1de11fcd912940955301f0c4d1923d11d7d8f2cf5a90c3c540d3b28dbcd9f18fb01778fa9678e3fe6722d732d4014
-DIST cfn_lint-1.12.1.tar.gz 2614931 BLAKE2B d72638fdce0a5f72778979bf4ef1fc809a48e4d8bad2daf98bd6d5ebf323360e900f5b8900117999ebf6d89bedfe15667cf2a2a1e31be5b72af1e34a65d15b88 SHA512 9a0e9124536b13dbc24e8e60228ae2afac853560ac0f2cda394b4c6a65bb43e2f8f5319148c5c5f4902109d75d90a5e45197503bbb5f78904eec4604123dbe8f
-DIST cfn_lint-1.12.2.tar.gz 2615220 BLAKE2B 1037d7f5c8c598eec52570821f9f8bc1458321ea54af46a695fbf29dffb27e34cb4ee92ca982fa646cebf5b47d89ae8f093224951b501f2958d4aec07839a983 SHA512 6aaae4e0003e7547903d3bddd9a5ebd0600f245456ba00967a903658d761c7efe696c18bcb9f092ee6b88053b7665c1822e20933e0f6bd6931a09dbb7e520230
-DIST cfn_lint-1.12.3.tar.gz 2616778 BLAKE2B bb17cb966103680ea0bb0cd18719ef7988e2d0e442d1c001338451eda806d1262a790fcf732ffdeda4455fb0ffc8a614cba9c03f78e75916675c55f51d6002e4 SHA512 11aea72628a5b7ad7e2521379a0c63fab44704ad57ddacb593337007814ce7ef6b3d22db3c3fe13eb7fc4d96a42db1dad01a392ef865331168f2bcc8e0c3c4d6
DIST cfn_lint-1.12.4.tar.gz 2870663 BLAKE2B 90b1c2682a143108f077b1239171cb410657a33f1970e1f9fbc06774d1301ad0c28e364d7cf60163cb1d62a3c24221595e722db1fda5b79aebfd4fb321008396 SHA512 04092142a5de5da4cf2e94fe425c696cee3fd438fb569faa16bd390f3f3b8bfee63397a2aeedca99950eb656916b04456d59f2069c8479ce4c8acdffae01018a
+DIST cfn_lint-1.13.0.tar.gz 2378100 BLAKE2B a1fa12fe13df1f3f8c5e533c138036df7e2eae325641e7fd66a050a3bb81718caf353d867bf7bbc765942a93bb9025a97bd9691a5759f59118296c23daf7466e SHA512 eeec69657907cc145e533c390987f25374e9019a4c493d3a8ad98123f8db9445bac4890cbaef59b15af752d5a3437f75ea1687bc167198aec81ebb0a3c1ab097
diff --git a/dev-python/cfn-lint/cfn-lint-1.12.2.ebuild b/dev-python/cfn-lint/cfn-lint-1.12.2.ebuild
deleted file mode 100644
index ff0861230c7a..000000000000
--- a/dev-python/cfn-lint/cfn-lint-1.12.2.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="CloudFormation Linter"
-HOMEPAGE="
- https://github.com/aws-cloudformation/cfn-lint/
- https://pypi.org/project/cfn-lint/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
-
-RDEPEND="
- >=dev-python/aws-sam-translator-1.91.0[${PYTHON_USEDEP}]
- dev-python/jsonpatch[${PYTHON_USEDEP}]
- >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
- <dev-python/jsonschema-5[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
- dev-python/junit-xml[${PYTHON_USEDEP}]
- <dev-python/networkx-4[${PYTHON_USEDEP}]
- >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
- >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
- >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
- >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/defusedxml[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin the deps
- sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # TODO
- test/unit/module/test_template.py::TestTemplate::test_build_graph
- # requires git repo
- test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
- # Internet
- test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
- test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
- # TODO: it looks as if AWS_DEFAULT_REGION didn't work
- test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
- test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
- test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
- test/unit/module/core/test_run_cli.py::TestCli::test_template_config
- # different graphviz version?
- test/unit/module/template/test_template.py::TestTemplate::test_build_graph
- )
-
- # from tox.ini
- local -x AWS_DEFAULT_REGION=us-east-1
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
diff --git a/dev-python/cfn-lint/cfn-lint-1.12.3.ebuild b/dev-python/cfn-lint/cfn-lint-1.12.3.ebuild
deleted file mode 100644
index ff0861230c7a..000000000000
--- a/dev-python/cfn-lint/cfn-lint-1.12.3.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="CloudFormation Linter"
-HOMEPAGE="
- https://github.com/aws-cloudformation/cfn-lint/
- https://pypi.org/project/cfn-lint/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
-
-RDEPEND="
- >=dev-python/aws-sam-translator-1.91.0[${PYTHON_USEDEP}]
- dev-python/jsonpatch[${PYTHON_USEDEP}]
- >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
- <dev-python/jsonschema-5[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
- dev-python/junit-xml[${PYTHON_USEDEP}]
- <dev-python/networkx-4[${PYTHON_USEDEP}]
- >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
- >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
- >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
- >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/defusedxml[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin the deps
- sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # TODO
- test/unit/module/test_template.py::TestTemplate::test_build_graph
- # requires git repo
- test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
- # Internet
- test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
- test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
- # TODO: it looks as if AWS_DEFAULT_REGION didn't work
- test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
- test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
- test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
- test/unit/module/core/test_run_cli.py::TestCli::test_template_config
- # different graphviz version?
- test/unit/module/template/test_template.py::TestTemplate::test_build_graph
- )
-
- # from tox.ini
- local -x AWS_DEFAULT_REGION=us-east-1
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
diff --git a/dev-python/cfn-lint/cfn-lint-1.12.1.ebuild b/dev-python/cfn-lint/cfn-lint-1.13.0.ebuild
index ff0861230c7a..ff0861230c7a 100644
--- a/dev-python/cfn-lint/cfn-lint-1.12.1.ebuild
+++ b/dev-python/cfn-lint/cfn-lint-1.13.0.ebuild
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 4b1a644d6e50..2cd8689d3322 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -2,3 +2,4 @@ DIST hypothesis-6.110.2.gh.tar.gz 9476926 BLAKE2B 8fb0b250e9c49f56d9b0d077db6305
DIST hypothesis-6.111.1.gh.tar.gz 9475914 BLAKE2B 90604318db1a47db4eea8376c943c077058f3158c6c5220aa5f60575cc85c8cf97ed2ad435c7351141939e5b6773d013cf27e4ef9ee64bea2705596b3e4fecc7 SHA512 40e73843ba4477a9bd75087b42f92b6e483beac72dc8684a3d20e90b764f2c0773479a44b6107b237bcf17d347aad45a0ecb23ec54e19da08860e1fa86e5e772
DIST hypothesis-6.111.2.gh.tar.gz 9475843 BLAKE2B 69a436586184a205fcb6b4c053e3c5f53a0c19344b2ffbe697d1cc8bcec62815e680783287f857cc64b9e9b66415670185b38405601a09f93e4c325561e567f2 SHA512 405d0a7545d216082f5b75d8b90bf53169481a96a23f8a40685165610dffe2fa2d47397abda98a90db4d281d274a35a201fbbae191fe264cba6be5deb0709042
DIST hypothesis-6.112.0.gh.tar.gz 9476351 BLAKE2B 1886389d51f09af3127fbeb81ff62618d67203f9ced47507a1c8fdcc90ea1331d37f6937f62f255b47b339c81f686eb1e3e4d9fd496c14565e692fec73b850bd SHA512 9210a611bb5bd02b855057d72565fca1aae72807788433a03ebdddfbe9d44fc454ecd57ebeeb2a9f2d201580929aa44d585615465bde770ccb95aaf1ca1a4239
+DIST hypothesis-6.112.1.gh.tar.gz 9476397 BLAKE2B adee46d6a4cf56bbbd8e5a91afc8236b9d311aa18efeaf6b367fc32d5ff3d679e08c5a8c500cedb50ff2cda2bab567a56f5ed564067972bc2f63bd6f5f0b88e1 SHA512 60b68f50a5d8d7ec23b2632a1a3c7d412ecedef6e58ec9e2f0450b07add9ddaa25963cd08cfa1d60741ff54cc47996da02dab1176ab25b8e7ecd3154f1b0446d
diff --git a/dev-python/hypothesis/hypothesis-6.112.1.ebuild b/dev-python/hypothesis/hypothesis-6.112.1.ebuild
new file mode 100644
index 000000000000..9e909df80d5f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.112.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/mkdocs-htmlproofer-plugin/Manifest b/dev-python/mkdocs-htmlproofer-plugin/Manifest
index 06631621ae2d..52865c76200a 100644
--- a/dev-python/mkdocs-htmlproofer-plugin/Manifest
+++ b/dev-python/mkdocs-htmlproofer-plugin/Manifest
@@ -1 +1,2 @@
DIST mkdocs-htmlproofer-plugin-1.2.1.gh.tar.gz 15783 BLAKE2B 182f2cf64742edfb27be41df839952d874716dd4937269344cc2b32255ed1978ed479b9b9df86e9fe076153eeafed05367cf78dba464d8b5d9b025c13d889662 SHA512 1963efffa62ff911bc2c5adc1af51b9711cc830e12ebafcbb5e83508cb3471faeecec5929086ade81a34a95fdd00b9d3c3ce3b1f4575d75300294c8b0fb30027
+DIST mkdocs-htmlproofer-plugin-1.3.0.gh.tar.gz 16017 BLAKE2B 603f8c80ff5539c9495876e5eaa1701a3f2a2f8ef098be3bc1f85c522103cf5d578cfc4b89748f0da2242d4d0953e8dc5a223c211a691f2ac7ddbb300fad04c5 SHA512 ab8f34bea6c76879cf9a55780425cef24ad45d7c9a606999066003d9e4ad3446f5c9bcfcc96cce6946da1368dfb2788a08bbea228c8485611750dc2f67dd0c5e
diff --git a/dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.3.0.ebuild b/dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.3.0.ebuild
new file mode 100644
index 000000000000..b0cc5ea88518
--- /dev/null
+++ b/dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.3.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A MkDocs plugin that validates URLs in rendered HTML files"
+HOMEPAGE="
+ https://github.com/manuzhang/mkdocs-htmlproofer-plugin/
+ https://pypi.org/project/mkdocs-htmlproofer-plugin/
+"
+# No tests in PyPI tarballs
+SRC_URI="
+ https://github.com/manuzhang/mkdocs-htmlproofer-plugin/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.0[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ml-dtypes/Manifest b/dev-python/ml-dtypes/Manifest
index d916007cea0c..7ef493f82991 100644
--- a/dev-python/ml-dtypes/Manifest
+++ b/dev-python/ml-dtypes/Manifest
@@ -1,2 +1,3 @@
DIST eigen-7bf2968fed5f246c0589e1111004cb420fcd7c71.tar.bz2 2239233 BLAKE2B 3a7e81c302cb11ae1d6ef9433a9ec41506c1f37d04cfb8744ac3fcf7dbe9430c1b48d7197ca3b8e1f9354398bac3d0dbc3e0599c0b649acd6175e906befe2973 SHA512 29ee89770726e6e0f5135b7fab24649f3e69223caed90d2daa6f0014783e69fe98f0551de49bd4e393d7b7938f2943caf1ed00f3933fa771ac14fae3c63fd5dd
DIST ml_dtypes-0.4.0.gh.tar.gz 72894 BLAKE2B a2d70369f8fc72b8234d198ee4517dd3666b6e5a82ea8bca28973966e141426ef5517d441cfdd4cc00146d534194378c191b29f695f1d8c6b9d2785c84d2548c SHA512 a4674c352a641ceab212ff1da25168823d43016dbe00ae06885ef787f1bc0814ae61e595d5f9d43710da29c12e70e3c616e1c634560b911bdb25f4c40b6ba324
+DIST ml_dtypes-0.5.0.gh.tar.gz 86170 BLAKE2B a289490fd6d06801965cc72d1abfe4a3b8b48459462bc4ae73a3ace2b4385f26b46081d924c02e1342a18eb98db2df33e3dd77284e40f2357a209a85010071f3 SHA512 20b2677c1e69b9ea298ac7d8ccfee3f0d19b847a805efa183ba04845e1a1697e9030abe00d6e8a4d46981df14c8d5986bcbc3b4e0f36eef2aee1cd04e3996bfe
diff --git a/dev-python/ml-dtypes/ml-dtypes-0.5.0.ebuild b/dev-python/ml-dtypes/ml-dtypes-0.5.0.ebuild
new file mode 100644
index 000000000000..12bd3e53f894
--- /dev/null
+++ b/dev-python/ml-dtypes/ml-dtypes-0.5.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=${PN/-/_}-${PV}
+EIGEN_CommitId="7bf2968fed5f246c0589e1111004cb420fcd7c71"
+
+DESCRIPTION="A stand-alone implementation of several NumPy dtype extensions"
+HOMEPAGE="
+ https://github.com/jax-ml/ml_dtypes/
+ https://pypi.org/project/ml-dtypes/
+"
+SRC_URI="
+ https://github.com/jax-ml/ml_dtypes/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ https://gitlab.com/libeigen/eigen/-/archive/${EIGEN_CommitId}/eigen-${EIGEN_CommitId}.tar.bz2
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+DEPEND="
+ >=dev-python/numpy-1.21:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ test? (
+ dev-python/absl-py[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ rmdir third_party/eigen || die
+ mv "${WORKDIR}/eigen-${EIGEN_CommitId}" third_party/eigen || die
+ distutils-r1_python_prepare_all
+}
+
+src_test() {
+ mv ml_dtypes/tests . || die
+ rm -r ml_dtypes || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ distutils-r1_src_test
+}
+
+python_test() {
+ epytest
+}
diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index 638987ca8833..2bd6c6eb7eec 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -1,3 +1,4 @@
DIST platformdirs-4.2.2.tar.gz 20916 BLAKE2B d7c551a950118a127664b8210f33497760ce06381ac6a4ea098d1a1c60605507b5e2a9762d5f7d112332d3cebd63cb642b25e93a8b67dd2a1ee7cca189f3555f SHA512 e67aff332a6c84669d77a68e7d5546bfd14e08dcf61681b03447bf6381c0d981c63be0f87fd63bc99f0a51c92bf960902ded83ba8872801c14755ab163d45a0f
DIST platformdirs-4.3.1.tar.gz 21236 BLAKE2B 852d402831ad6060c6efc3841dd56a8484aca547e820ad9b46cc838d92f560407a769a01942bf03c31949e4b37240d292358617afdfa0dd7ea03eeba6bc62086 SHA512 6d4cd808190808bab5a90f44d9fe2fda0d624c7a76faf9f4a4a6093cd098a28b79782dbf895dcd0eeb82778aa094deeb0959fcbe25bdd93818a47b9e197b6299
DIST platformdirs-4.3.2.tar.gz 21276 BLAKE2B 9bd9a2b3258e2fe411062895bbcc5036c77d95e092df81c9b9b113f64b4568ee44623a747048c9011e9465fb22600db9256e4900c7710a75fc27cf19c07732c7 SHA512 0bad11558f3d60f1476cdcd36a405c7218b9ce68342e3a78f95936356d91fcaaa869549503cc35055d9ce3b3eec219a980ba35e814dd3706fb4b7812aff04dd4
+DIST platformdirs-4.3.3.tar.gz 21304 BLAKE2B 94248b49ab0b0ea7c43231c15c3f479c1ea0a82242a9d274b6e6b71559710f1d3bbd8ad89083c89f7627956a983ad2902cbf33b8b99a12a1481214a969fcc292 SHA512 0dc8b8585c4130660a779a1846a4d468a182dfcc0f03700001242f1eb78ba2bd9799777f6ac29367034ed23c66f1af4eda4f294201197d6444d6fdd92e7f93a1
diff --git a/dev-python/platformdirs/platformdirs-4.3.3.ebuild b/dev-python/platformdirs/platformdirs-4.3.3.ebuild
new file mode 100644
index 000000000000..210da3e24976
--- /dev/null
+++ b/dev-python/platformdirs/platformdirs-4.3.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
+HOMEPAGE="
+ https://pypi.org/project/platformdirs/
+ https://github.com/tox-dev/platformdirs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ test? (
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "hatchling' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "${PN}"
+ version = "${PV}"
+ description = 'A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".'
+ EOF
+ # sigh
+ cat > src/platformdirs/version.py <<-EOF || die
+ __version__ = version = '${PV}'
+ __version_tuple__ = version_tuple = (${PV//./, })
+ EOF
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_mock
+}
diff --git a/dev-python/pybind11/Manifest b/dev-python/pybind11/Manifest
index 93cdae699900..eba7c6fdd950 100644
--- a/dev-python/pybind11/Manifest
+++ b/dev-python/pybind11/Manifest
@@ -4,3 +4,4 @@ DIST pybind11-2.13.1.gh.tar.gz 789821 BLAKE2B b1634878a9a772d1200c79a5e7554a16a9
DIST pybind11-2.13.3.gh.tar.gz 793263 BLAKE2B ba295fb0dbbeacd5d2b9fa335cf91c4e4b9daee29c7b994f8878b8078d18a18ee48874a3264f5bff280257cf677339324f7875d2f1bb8b855c6097982a71cdcd SHA512 76629d4ad5b91975bbf3fb05580403915f096a4d91b37d947fdbcb3b44783b3f0c9e5a4e289da222902e6b458e29893521523f41d9eb99da7e4890261be00947
DIST pybind11-2.13.4.gh.tar.gz 793802 BLAKE2B efa1bf0d244cd9692e750524b841a884601c121f631fd721d64f192c49ff6ead4eaa4bb13cace42b98673cfd038583fc3716a298b041efd148e992c07b9ee5c3 SHA512 5938c758da5450be645b366190579aa7943294471a0c639c2aeb9d8e9d201ef4fb4dfd0cb1db91390f74dc59f175f6cf47b0c45c20d45ab9f3eeb1a834886de7
DIST pybind11-2.13.5.gh.tar.gz 794599 BLAKE2B 57bf05040902fc1f85cb4661672426a5c9de701157308e2dd0740f3b7eac878bad0f389b08c2b22b52c94766fa1ae0b0da8aa45353b9cbb95c54afbb0282a786 SHA512 bf9ebfbd8e694fbb421d8bdb5362a207a3782685d48988e77aed98363b2fa302e7384b570b02b117d45d5509b1633b096d4fc1ef16f65e6cc8c888b863c1e2cb
+DIST pybind11-2.13.6.gh.tar.gz 800804 BLAKE2B 1f2efa05727ebbcd8e439b83bacfebb21d26a6f8f719e0a627633abdcae59837936e37e6441196e097e0075c9f922048d4e88146bb627d97ada28c48165bddb7 SHA512 497c25b33b09a9c42f67131ab82e35d689e8ce089dd7639be997305ff9a6d502447b79c824508c455d559e61f0186335b54dd2771d903a7c1621833930622d1a
diff --git a/dev-python/pybind11/pybind11-2.13.6.ebuild b/dev-python/pybind11/pybind11-2.13.6.ebuild
new file mode 100644
index 000000000000..e2365caaea86
--- /dev/null
+++ b/dev-python/pybind11/pybind11-2.13.6.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit cmake distutils-r1
+
+DESCRIPTION="AST-based Python refactoring library"
+HOMEPAGE="
+ https://pybind11.readthedocs.io/en/stable/
+ https://github.com/pybind/pybind11/
+ https://pypi.org/project/pybind11/
+"
+SRC_URI="
+ https://github.com/pybind/pybind11/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ dev-cpp/eigen:3
+"
+BDEPEND="
+ test? (
+ <dev-cpp/catch-3:0
+ >=dev-cpp/catch-2.13.9:0
+ dev-libs/boost
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ cmake_src_prepare
+ distutils-r1_python_prepare_all
+}
+
+python_configure() {
+ local mycmakeargs=(
+ # disable forced lto
+ -DHAS_FLTO=OFF
+ # https://github.com/pybind/pybind11/issues/5087
+ -DPYBIND11_FINDPYTHON=OFF
+ -DPYBIND11_INSTALL=ON
+ -DPYBIND11_TEST=$(usex test)
+ )
+ cmake_src_configure
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Compilation only does anything for tests
+ use test && cmake_src_compile
+}
+
+python_test() {
+ cmake_build cpptest test_cmake_build
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/tests" || die
+ epytest -p rerunfailures --reruns=5 "${S}/tests"
+}
+
+python_install() {
+ distutils-r1_python_install
+ cmake_src_install
+}
diff --git a/dev-python/pyparsing/Manifest b/dev-python/pyparsing/Manifest
index f0f79efecdda..132f1aee9f83 100644
--- a/dev-python/pyparsing/Manifest
+++ b/dev-python/pyparsing/Manifest
@@ -1,2 +1,3 @@
DIST pyparsing-3.1.2.tar.gz 889571 BLAKE2B 69dc249c8760470e9611c367255176afcbfdf299b739c8e191f71b88653e0d35db3a20d156ae6507a1748f775b0853c127986d9de2124edc12e22453a75b908d SHA512 1134949f3576edbec4438eefe952eb5cc6e734fb060905d714b6a77f71e90d364b01345df5e7b8fb5ffa798c530be9c65f6d152b3f591cba787660c4dd8894d2
DIST pyparsing-3.1.4.tar.gz 900231 BLAKE2B 121092316528a69f79a8fac5e903de513c4193bd00d5ef7e98dfcb09f3a48eb3384217ede39b0f954f58bdade8644931ce8cef41729539fc1be3dfb910b90be7 SHA512 b475e5571510cd7b07fecbc8ae583b1e75a6308b64018d2884570dfa461e0529b96d02d11403cecac41f92b5d802a5dd4bbf9f8321d58ffa2d24cb89b86652e1
+DIST pyparsing-3.2.0b1.tar.gz 907144 BLAKE2B 873f25e8a633fe96587793dc36aae49e6fcb865297cfeea8a47fd431fb9061373db4ad2631f8c581b9e54e417b086c13e3f0364c0895fe22d65935feff7d9a66 SHA512 455bf46414efc850339d62028c478e2f7615eded65415bc15ebcc7319dcac9f1b56257ba1da576cf276e65e40b173e32fd504cbcd0a0b9e5df2e2d906643329e
diff --git a/dev-python/pyparsing/pyparsing-3.2.0_beta1.ebuild b/dev-python/pyparsing/pyparsing-3.2.0_beta1.ebuild
new file mode 100644
index 000000000000..93473f1434a2
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-3.2.0_beta1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2004-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="
+ https://github.com/pyparsing/pyparsing/
+ https://pypi.org/project/pyparsing/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # railroad-diagrams not packaged (and not suitable for packaging yet)
+ tests/test_diagram.py
+ )
+ local EPYTEST_DESELECT=(
+ # also railroad-diagrams
+ tests/test_examples.py::TestExamples::test_range_check
+ tests/test_examples.py::TestExamples::test_rosettacode
+ tests/test_unit.py::Test02_WithoutPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test04_WithPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test06_WithBoundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test08_WithUnboundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test09_WithLeftRecursionParsing::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test10_WithLeftRecursionParsingBoundedMemo::testEmptyExpressionsAreHandledProperly
+ )
+
+ if ! has_version "dev-python/matplotlib[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_matplotlib_cases.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyproject-metadata/Manifest b/dev-python/pyproject-metadata/Manifest
index 7c4823ad56ee..cb698253d746 100644
--- a/dev-python/pyproject-metadata/Manifest
+++ b/dev-python/pyproject-metadata/Manifest
@@ -1 +1,3 @@
DIST pyproject_metadata-0.8.0.tar.gz 14862 BLAKE2B 03c9a7fc9c53c56b27ea5c72789db10aa045d239c81bf30e926c0ed44d6b61028a27c4dbe02a40eb4ae7ce4a93efb24c63dd4b66f2e98f185fc68d96e96c350a SHA512 e3ec79bcb066fd952a7e88b62534775746b20a52b9952a303e80466c465e394264b8984ca30a1461cd8437334ae7b1a299be7d8036e99e3dcf59828d70650442
+DIST pyproject_metadata-0.9.0b1.tar.gz 19356 BLAKE2B eb692b54769e229fe1f8136af998953116c29157e1096f1dc4a0b57194625535551d0c65651dcaae82c27b9453948fa67e78b4e54f4898ae4640044bfb728421 SHA512 ab5c4cfa999088f28a9cf396d136dcd1af82d578816c6bac6e6fabb7b242a47611749bcb38c964974ebcc95f44befd3a4827fa16b2e8e48555e0ddabae7ecff2
+DIST pyproject_metadata-0.9.0b3.tar.gz 19819 BLAKE2B 2ede092287bc369404eef0ae7a361ffa39eb39862953309ce74ca6d4ee6f588200a2772565dd180c3c978641a387574490d6342db39a32d117a720b6b73a534a SHA512 6bb4abbbdcc90adeaa96026f1a17d23a7a41a93b25e4762c880b78dc7913058af053101d6c5a3271527e9ef441b8e24ca93df8e57ce1f442e99e3042665eef34
diff --git a/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta1.ebuild b/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta1.ebuild
new file mode 100644
index 000000000000..7002614a03c4
--- /dev/null
+++ b/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PEP 621 metadata parsing"
+HOMEPAGE="
+ https://github.com/pypa/pyproject-metadata/
+ https://pypi.org/project/pyproject-metadata/
+"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/packaging-19[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta3.ebuild b/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta3.ebuild
new file mode 100644
index 000000000000..7766d81ba48b
--- /dev/null
+++ b/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PEP 621 metadata parsing"
+HOMEPAGE="
+ https://github.com/pypa/pyproject-metadata/
+ https://pypi.org/project/pyproject-metadata/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/packaging-19[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/qiskit-aer/Manifest b/dev-python/qiskit-aer/Manifest
index 412a6e7e07b3..f56ecf03b21c 100644
--- a/dev-python/qiskit-aer/Manifest
+++ b/dev-python/qiskit-aer/Manifest
@@ -1,2 +1,2 @@
-DIST qiskit-aer-0.14.2.gh.tar.gz 7132159 BLAKE2B bc684f7acca071866bc6413d5fb881cf131fe212be7294922a6861dc526d77d0cfb906d9c2ea57236e42e8a99e137ee0ac5f0c1e11fd027122983ad3d8992f73 SHA512 75a2fadb413fc557f98043cc028b28f6cae65b983fd0f32f1e8b8eda6d5cbc6d9d528c38f765d14ede5909045cef914335a483f762c20c4dd85754449d63371c
+DIST qiskit-aer-0.15.1.gh.tar.gz 7136084 BLAKE2B 521329642f141fbb5d4bb045f42b53e1a116614328837999d73e28c54fd7e1b8aa64d72080b54950575c264bd14349227b395363cc92ce384f1b4951d414862b SHA512 bd3a320b8022aacc9691e5aa6e54cbc63fe51e623b7b22399ad23ff8e7c14f7870c78b5ca84c0aeb420b44e088307296d01f351bb1cc90488f0018496ebbaa25
DIST qiskit-aer-0.15.gh.tar.gz 7133462 BLAKE2B 3a72d5e1c97e54dd9090bbd072ca52c03bc90d53ec13bdb52b20112adebde6ef4e85a5d3761d5cc9fab7bc8d41651865e538eaad591dad266533441114ae1ddc SHA512 ce70755fa26150e8ce870a5f80c7f37a8e09f02ac4dbcfe52de2153b8af6f92764ac6866b1fffb75db6e1ae1b31815432ffca54f2f916337f640c14007a682f3
diff --git a/dev-python/qiskit-aer/qiskit-aer-0.14.2.ebuild b/dev-python/qiskit-aer/qiskit-aer-0.15.1.ebuild
index 4154662cd5ec..4154662cd5ec 100644
--- a/dev-python/qiskit-aer/qiskit-aer-0.14.2.ebuild
+++ b/dev-python/qiskit-aer/qiskit-aer-0.15.1.ebuild
diff --git a/dev-python/scikit-build-core/Manifest b/dev-python/scikit-build-core/Manifest
index 1f307d869836..d838fe076c76 100644
--- a/dev-python/scikit-build-core/Manifest
+++ b/dev-python/scikit-build-core/Manifest
@@ -1,5 +1,2 @@
-DIST scikit_build_core-0.10.4.tar.gz 252954 BLAKE2B 5d6bf7c7a462a80ee78b1c93a27b7f63443f1acf9bac8918d48882d644de4f11d3532e8afd542a06b24605120d18ab8e094ce9f3997ffd3f8047dcedb97712f9 SHA512 6858a7716f081fc5d40da7b974568855571f7cbc5e8eafdab2547bb6d2abc5445e682d7d7b1f6157e38ecbaad676b90fe1a2b152dcb89331f646180ecb3c6c26
DIST scikit_build_core-0.10.5.tar.gz 253285 BLAKE2B 6bbd5a92987fcbf9880df902784c9ee1a53d3f58b935b0c43ceb9bb8be0c32878845dd4c35fd03569fdc74d053866ff5e93b8eb96b058623fb357351a16919ec SHA512 283a50b4ff99e9c99fd92f0198231d0c8b68dcfc47ca5a782d7d604d9a313225f9f4e3dbc9490d9cd04f4d66cb79a4f793fb416763717474e83a3fea356b9bac
DIST scikit_build_core-0.10.6.tar.gz 254624 BLAKE2B da23ecf36e16f2d8f1b4daeb41c3cd7ca5af1cd0a4eff324765920a53410b9a6d5c7456247dd310b67ac0fc9a96547f1aa6f019e7d7527b603184a9199c863d2 SHA512 e3ee9aff752d2531c3bc44f8288a4619637e89d4a0edea3aef012153ba31af9a86929437e9d11b1d1a6d85a60a9a4da34cc347c203b80cca3caee05fb3e832da
-DIST scikit_build_core-0.9.10.tar.gz 230104 BLAKE2B e3c4605b4b33260d8deac2cedb7bbb20a08729a36214b13c6071fe9b12f9bddc882c18da0e1ee14d7f1b4845ca0dd02b1c2d5c30c43b96a420c35a8b5cbd2d5e SHA512 0e1cb649f9965f4b13093432a2e36ea9be532ba3b7447c36f898284571dcbcf266b7012a445b464ac9129ec2b91e4155016be1fbab52fc2a979e440b0ea73cac
-DIST scikit_build_core-0.9.8.tar.gz 229845 BLAKE2B 419d8891dd3f95bee7f8f7dcc1addb94d2698f8ff392eef19a67e851f57b58d09b9878705d0e8d728d3c6f2b316d538c76471164781fcd1fb5d02dfbfd9d7a85 SHA512 f1206715eef1bdeccddc5987cae4f455522c4ef4dbca305ad7d3772c61f5615c5742b109c5527a5ad5e25a2348abff69ea5ae7153ac18c43cca63783872aa3d5
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.10.4.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.10.4.ebuild
deleted file mode 100644
index 3a4d62934d57..000000000000
--- a/dev-python/scikit-build-core/scikit-build-core-0.10.4.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Build backend for CMake based projects"
-HOMEPAGE="
- https://github.com/scikit-build/scikit-build-core/
- https://pypi.org/project/scikit-build-core/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-# we always want [pyproject] extra
-RDEPEND="
- app-alternatives/ninja
- dev-build/cmake
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pyproject-metadata-0.5[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/exceptiongroup[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/build[${PYTHON_USEDEP}]
- >=dev-python/cattrs-22.2.0[${PYTHON_USEDEP}]
- dev-python/fastjsonschema[${PYTHON_USEDEP}]
- dev-python/pybind11[${PYTHON_USEDEP}]
- >=dev-python/pytest-subprocess-1.5[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local _EPYTEST_DESELECT=(
- # TODO / we don't package validate_pyproject anyway
- tests/test_schema.py::test_compare_schemas
- # setuptools now respects PEP 625
- tests/test_setuptools_pep517.py::test_pep517_sdist
- )
- local EPYTEST_IGNORE=(
- # needs unpackaged validate_pyproject
- tests/test_schema.py
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p pytest-subprocess -m "not isolated and not network"
-}
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.9.10.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.9.10.ebuild
deleted file mode 100644
index fea8e3439020..000000000000
--- a/dev-python/scikit-build-core/scikit-build-core-0.9.10.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Build backend for CMake based projects"
-HOMEPAGE="
- https://github.com/scikit-build/scikit-build-core/
- https://pypi.org/project/scikit-build-core/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~ppc ppc64 ~riscv ~s390 ~sparc x86"
-
-# we always want [pyproject] extra
-RDEPEND="
- app-alternatives/ninja
- dev-build/cmake
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pyproject-metadata-0.5[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/exceptiongroup[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/build[${PYTHON_USEDEP}]
- >=dev-python/cattrs-22.2.0[${PYTHON_USEDEP}]
- dev-python/fastjsonschema[${PYTHON_USEDEP}]
- dev-python/pybind11[${PYTHON_USEDEP}]
- >=dev-python/pytest-subprocess-1.5[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local _EPYTEST_DESELECT=(
- # TODO / we don't package validate_pyproject anyway
- tests/test_schema.py::test_compare_schemas
- # setuptools now respects PEP 625
- tests/test_setuptools_pep517.py::test_pep517_sdist
- )
- local EPYTEST_IGNORE=(
- # needs unpackaged validate_pyproject
- tests/test_schema.py
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p pytest-subprocess -m "not isolated and not network"
-}
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild
deleted file mode 100644
index 3199f4adde8f..000000000000
--- a/dev-python/scikit-build-core/scikit-build-core-0.9.8.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Build backend for CMake based projects"
-HOMEPAGE="
- https://github.com/scikit-build/scikit-build-core/
- https://pypi.org/project/scikit-build-core/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
-
-# we always want [pyproject] extra
-RDEPEND="
- app-alternatives/ninja
- dev-build/cmake
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pyproject-metadata-0.5[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/exceptiongroup[${PYTHON_USEDEP}]
- >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/build[${PYTHON_USEDEP}]
- >=dev-python/cattrs-22.2.0[${PYTHON_USEDEP}]
- dev-python/fastjsonschema[${PYTHON_USEDEP}]
- dev-python/pybind11[${PYTHON_USEDEP}]
- >=dev-python/pytest-subprocess-1.5[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local _EPYTEST_DESELECT=(
- # TODO / we don't package validate_pyproject anyway
- tests/test_schema.py::test_compare_schemas
- # setuptools now respects PEP 625
- tests/test_setuptools_pep517.py::test_pep517_sdist
- )
- local EPYTEST_IGNORE=(
- # needs unpackaged validate_pyproject
- tests/test_schema.py
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p pytest-subprocess -m "not isolated and not network"
-}
diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 3d7213c2742b..ff1a9642f274 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,3 @@
DIST SimSIMD-5.1.4.gh.tar.gz 149847 BLAKE2B 49aa9cfcee079b415d504989345be48c0b055e34dabd69240fdc02a35f51da81f25ab78fa27831e411d3853bca8b586314eae6840068715ec6a9c76c874162d6 SHA512 a656a71076d35c62cebe3d0cb2fc5eae87d9f13cb7a4427d74cb2959e813b4ff387ec30fe9a68e72e529fd0a76de468178652da1bba3b164eeb9f34df7d5d410
DIST SimSIMD-5.2.0.gh.tar.gz 150001 BLAKE2B 6ec61f5f2253782e747658bb52cc0858208912a46eafe87c5a613e9d5924b585243734538b84c3d74d5b755db3907044e2f1b264ea3c28f9605288fba321099c SHA512 8c387c2f7ebd8dcda677a8e4d312528db9cdc7e87ffa9c203f37d8429893b9e5b332c827b8d3f76e216fc17042389d3a548eff074c5b604eaece1d4f8f614264
+DIST SimSIMD-5.2.1.gh.tar.gz 153081 BLAKE2B 2454d2266ca6d1b3302f4bf347dcc85d5c0750561e7d34906d5e7e2303e4cd0a7279d10f3065a63eeb14aedc6cd584510d29f29e60f7f57cd178a3066a4e28b8 SHA512 8263aada695ce68a1eb671c46a294fd317f9bb5d3a3ec5b4a8ab27b8b8ea5801c639b6bac3ba889bd6153444c76b7fa6d2982c25003af4cdfd0d8bc007b783f8
diff --git a/dev-python/simsimd/simsimd-5.2.1.ebuild b/dev-python/simsimd/simsimd-5.2.1.ebuild
new file mode 100644
index 000000000000..dbb3d7bb685a
--- /dev/null
+++ b/dev-python/simsimd/simsimd-5.2.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P=SimSIMD-${PV}
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and Arm"
+HOMEPAGE="
+ https://github.com/ashvardanian/SimSIMD/
+ https://pypi.org/project/simsimd/
+"
+# no sdist, as of 4.3.1
+# https://github.com/ashvardanian/SimSIMD/issues/113
+SRC_URI="
+ https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-repeat[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+src_prepare() {
+ sed -i -e '/-O3/d' setup.py || die
+ if ! use openmp; then
+ sed -i -e '/-fopenmp/d' setup.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p repeat python/test.py
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 25aeb9a02414..4510001c6d1c 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -21,6 +21,8 @@ DIST scopeguard-1.2.0.crate 11619 BLAKE2B 8b7e9ed6cefef9ee55407fb9690d57a2a98bb9
DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c427c03ee3b0b23365e73a406e4fd6ac312bf13fc5faef8bb6111c10fcfd5f839d5b3686e9b34d1626f8469fc327 SHA512 5cfb427c3b99b0dbd71f6154ed899abcde9d7d2992977ac7b2ef3a4c3ff51e4efafd133071a69609b4ed6cb269bdc26b79eb72e1988f10dfcaef8185d950cd1d
DIST sqlglot-25.20.1.tar.gz 19429085 BLAKE2B 65162c038fc19fe28e6cbd278d963477f5726967290d832e4e3bfad3ed2e2a38fa99aa08a0d6da31e924aa194473e5528b9566f6a34ac680d2e4483d69004f3f SHA512 9be8eae145a62723e83b2d2143578589d97ead26ccfd2e339f1de18d44fb808e6a9dca86bca5804f2d721bec586c0a7a31c56342a35c28cfd679990afd1f4e54
DIST sqlglot-25.21.0.tar.gz 19431993 BLAKE2B 43fb5883e12f223d7d62d61b79b101baeba6449187463fa09fa18ed1a54d24cfdcb7684a0d8182c74ea632a6b6e6bcb1ac3037115a1309687b5f6970c649b72f SHA512 2a6e785eb6f0e5aca7fb09988156eda2681ea233094df4d9a99af900a53ebb26ef804c4de59f7f7a7cbb1ed12afb6d7123fb228690cf41937baa509317ba15c3
+DIST sqlglot-25.21.1.tar.gz 19444895 BLAKE2B 74e8ee2945e5bd113be3f16146893f9a00b07c62256cb2795044be157570620e229690eb5cab72404d485b7cbf281309a6aa60e45491f6e333ca47d0900e4471 SHA512 fa9eb6280fabce96fe40945ed89df3414ba203540f71083952afa6a53ee26c90eefd4a29d9a026a2fe96edcfa7f5fcb7d570815c02d2d21161598838b1d7ff6f
+DIST sqlglot-25.21.2.tar.gz 19443387 BLAKE2B 664f6d2a6d45a1313a6f047d4f86c69e265c3071a49fe4e6d8a19df4ecc8698491737c5d24ddb336064c6c6ba0bee7839a698f15584730881c206eeef9393f48 SHA512 e0b7d28ebf7504d066258ea14dd150961c7f415a1835f45b9606710839a6ebb710c74638af55ee51ba9ff7316ae9eef9447edd6bd07afc480af29c469ca119b8
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
diff --git a/dev-python/sqlglot/sqlglot-25.21.1.ebuild b/dev-python/sqlglot/sqlglot-25.21.1.ebuild
new file mode 100644
index 000000000000..2a3db897240e
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-25.21.1.ebuild
@@ -0,0 +1,129 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # timing, sigh
+ # https://github.com/tobymao/sqlglot/issues/3961
+ tests/test_generator.py::TestGenerator::test_generate_nested_binary
+ )
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/sqlglot/sqlglot-25.21.2.ebuild b/dev-python/sqlglot/sqlglot-25.21.2.ebuild
new file mode 100644
index 000000000000..2a3db897240e
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-25.21.2.ebuild
@@ -0,0 +1,129 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # timing, sigh
+ # https://github.com/tobymao/sqlglot/issues/3961
+ tests/test_generator.py::TestGenerator::test_generate_nested_binary
+ )
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/system_hotkey/files/system_hotkey-1.0.3-fix-collections-iterable.patch b/dev-python/system_hotkey/files/system_hotkey-1.0.3-fix-collections-iterable.patch
new file mode 100644
index 000000000000..265c32a5f096
--- /dev/null
+++ b/dev-python/system_hotkey/files/system_hotkey-1.0.3-fix-collections-iterable.patch
@@ -0,0 +1,15 @@
+system_hotkey was written for a previous version of Python that had
+collections.Iterable available. That moved under collections.abc in a
+later release.
+
+--- a/system_hotkey/system_hotkey.py
++++ b/system_hotkey/system_hotkey.py
+@@ -281,7 +281,7 @@ class MixIn():
+
+ thread safe
+ '''
+- assert isinstance(hotkey, collections.Iterable) and type(hotkey) not in (str, bytes)
++ assert isinstance(hotkey, collections.abc.Iterable) and type(hotkey) not in (str, bytes)
+ if self.consumer == 'callback' and not callback:
+ raise TypeError('Function register requires callback argument in non sonsumer mode')
+
diff --git a/dev-python/system_hotkey/system_hotkey-1.0.3.ebuild b/dev-python/system_hotkey/system_hotkey-1.0.3.ebuild
index fbae8148526f..75f9fe2b2cd9 100644
--- a/dev-python/system_hotkey/system_hotkey-1.0.3.ebuild
+++ b/dev-python/system_hotkey/system_hotkey-1.0.3.ebuild
@@ -5,7 +5,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit distutils-r1
+inherit distutils-r1 virtualx
DESCRIPTION="Multi-platform system-wide hotkeys"
HOMEPAGE="https://github.com/timeyyy/system_hotkey"
@@ -17,6 +17,17 @@ SLOT="0"
KEYWORDS="~amd64"
# TODO this depends on xpybutil
-RDEPEND=">=dev-python/xcffib-1.5.0"
+RDEPEND=">=dev-python/xcffib-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/xpybutil-0.0.6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xvfb-3.0.0[${PYTHON_USEDEP}]"
-distutils_enable_tests unittest
+PATCHES=(
+ # Fix for unit test
+ "${FILESDIR}/${P}-fix-collections-iterable.patch"
+)
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index fb8ffafc19a7..6b235d6edb89 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,2 +1,3 @@
DIST hypercorn-d1719f8c1570cbd8e6a3719ffdb14a4d72880abb.gh.tar.gz 156216 BLAKE2B fcb5f49653401e6e4079e1c770d3cd407602d4d6764437b735bd4ec04191dec59cdc930822fa2aff726ee25cddd0f71fd457dedf31026bff1da121d93af8b768 SHA512 62d6787d88a2e716f0ac04fc49f6cdc586e473a660ee754ff66961922ae78bcc75d1f78b091e78557dd60f006e8e480114738c7b4ff71beac804e4fc9603240b
DIST urllib3-2.2.2.tar.gz 292266 BLAKE2B 50d4825ff4bd950742708bec63feb1713e211293f7720c79f2c71740f3eb3d501b476b8de5b389b8fb978c2486081023ebc2e05162c5d4fcedd811452743e07a SHA512 98695bcf37e772a1220cc05679ea799d82a09c73115717668c90dab9377690dd096f648d60ac0759a23cf65f2b1b6f363ec6826f669d4299bfa0a203a45dce0f
+DIST urllib3-2.2.3.tar.gz 300677 BLAKE2B 7eb17ab324bf210fb52b1012bf9d37c1a7f3b742aafe7e49adf2dde1678089e94683feedaa2301dd510944da0a5afc331ded13d0631af3efe4dbd576d0dee0ec SHA512 f461cc959d675b8b13c2f40f4b021cab01ccb3a5033143f5c3eae3fce7486115994d198c78db9ef353fce47c17b25e0ecb010fbdebc1b8731d4fd708054b39cc
diff --git a/dev-python/urllib3/urllib3-2.2.3.ebuild b/dev-python/urllib3/urllib3-2.2.3.ebuild
new file mode 100644
index 000000000000..da058c9c7f2c
--- /dev/null
+++ b/dev-python/urllib3/urllib3-2.2.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_TESTED=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+# The package has a test dependency on their own hypercorn fork.
+HYPERCORN_COMMIT=d1719f8c1570cbd8e6a3719ffdb14a4d72880abb
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI+="
+ test? (
+ https://github.com/urllib3/hypercorn/archive/${HYPERCORN_COMMIT}.tar.gz
+ -> hypercorn-${HYPERCORN_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="brotli http2 test zstd"
+RESTRICT="!test? ( test )"
+
+# [secure] extra is deprecated and slated for removal, we don't need it:
+# https://github.com/urllib3/urllib3/issues/2680
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ brotli? ( >=dev-python/brotlicffi-0.8.0[${PYTHON_USEDEP}] )
+ http2? (
+ <dev-python/h2-5[${PYTHON_USEDEP}]
+ >=dev-python/h2-4[${PYTHON_USEDEP}]
+ )
+ zstd? ( >=dev-python/zstandard-0.18.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/freezegun[\${PYTHON_USEDEP}]
+ dev-python/h2[\${PYTHON_USEDEP}]
+ dev-python/httpx[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[\${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[\${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[\${PYTHON_USEDEP}]
+ dev-python/quart[\${PYTHON_USEDEP}]
+ dev-python/quart-trio[\${PYTHON_USEDEP}]
+ dev-python/trio[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.18.0[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ # upstream considers 0.5 s to be "long" for a timeout
+ # we get tons of test failures on *fast* systems because of that
+ sed -i -e '/LONG_TIMEOUT/s:0.5:5:' test/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=${WORKDIR}/hypercorn-${HYPERCORN_COMMIT}/src
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # TODO: timeouts
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_timeout_errors_cause_retries
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_XDIST=1
+ epytest -p timeout -p rerunfailures --reruns=10 --reruns-delay=2
+}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 26c9a5705f4c..3bef1428a9a4 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -2,10 +2,6 @@ DIST pubgrub-388685a8711092971930986644cfed152d1a1f6c.gh.tar.gz 87945 BLAKE2B 7c
DIST reqwest-middleware-5e3eaf254b5bd481c75d2710eed055f95b756913.gh.tar.gz 40049 BLAKE2B d284947a108e2d3233a4fa7c9eb5e1a959bc5b569e754861daef076672672b0500cb737b85871d1fc0587bdbf6d5020e03e7c906cb5de34ff2f81c05b66918d1 SHA512 540a71e59a8b57e5e0bd7fad18fed265552bdae4518690a9823c94dcf23ee1d436f91b9cecf21129917b25e78b91d8d7290760edaea68053666e28af7223476e
DIST rs-async-zip-011b24604fa7bc223daaad7712c0694bac8f0a87.gh.tar.gz 51706 BLAKE2B 354eb52c95ea355521e1e6a7c841102424c47c156fdb0efb62e3cac666ecf289806aeefab8a0273a7c3283429ac81502283bdb5424d5f925621e5c2b1430fd4d SHA512 6650eef354e84daf41a8572b98b29f2873b7f071dd1d6983292c70b2f580fdc50cd26762d2228a70c2b200eae2f40476e6604702aa62cc97558301195bf19eb8
DIST tl-6e25b2ee2513d75385101a8ff9f591ef51f314ec.gh.tar.gz 37106 BLAKE2B c30d1c33f6f52e2bc83823eb6319f8a3e462b7c7408fb6a08f995747857ef234f81db4135a04f9d183095fe473a4087f8f0cb89d8f87ef4400285d2ce034ec22 SHA512 4abbc4240ed129c92da8d616e27a6df0f24cdc85a0803acfdae588ca91f9e5b8d482e3ac88b2e657ff68917b1b43cef1e7ef3c887f624659b231fa5a13fcae68
-DIST uv-0.4.2-crates.tar.xz 46277420 BLAKE2B 9f516f586a5e46bbd6c09e116f91e90b563b4de89b2d2dac50f208e4116583ba05418baa998a74f6d31503ec56cb5ff5966cdf579d026c53bcfc500b5e4fb15c SHA512 b30b70225eae9a5970dd18d383d9129b5161cb66942af8796220fe7a58cd3357308111374193d8fc4e1c7fde8a0b62f44e8efd76603411d882df016afecbc69f
-DIST uv-0.4.6.gh.tar.gz 2553065 BLAKE2B f793c01042db0a45b53a57157852ed5035a96bfc58c2cf81eb3d6a59b9eb6315dbd675817e1bca0a34f9d348d10c0668f9213fd11f230f606386405ee4d51c31 SHA512 79b50783596c6307934c378f7f7b60628de3edd8fe75f6675efd406e7e4cb7cd049a3966eefcb2708f8ab925ee5b5e315f6540f2c25693ffe1ee29f2d501523c
-DIST uv-0.4.7.gh.tar.gz 2558161 BLAKE2B 5508af9b6e0d04d165aa3b120be138fb4ccfddd643395175e5d31618ec34a5139567c0162b0ce1c741fed551397d1ec9d9693ce0397d1f0346a5c1df13c20b8d SHA512 8395f96eb36c2131b203de9991b994532047b7928ac1765a426accdaae4ed3a242a8b9554808123f5359d41778d3e7783606265b60d372bed2a0a76fea027e3e
-DIST uv-0.4.8-crates.tar.xz 46272636 BLAKE2B 467c146c8598863c62a7a210f3c20a6a73dc318651d730803eddd5e1ae54eb815b0487e991cc4e2d493813ea6e6e8622ed503d952a63ce7ee3aa9cfbe4d36439 SHA512 b207acd6fa7d7e95d7e0b3201d9d0ae2457d427f866eb292c6e097444e6d596455e1478813cfcf6851abbe936709d4afa155e0c55367a3f9fb25d4387990a84d
-DIST uv-0.4.8.gh.tar.gz 2569754 BLAKE2B 413121093c1a30e75afa62f5dd6496e3686c06e956ef1d633740d498387a7b0c5272b811daf3efe10d5ba95fd628f29ff3e7ee914df03069bff287dce0c96caa SHA512 e1a728d25ca9400ddf7a005da94d217631ee2a1a2b6b2b8421496496ac9379993dc81d8603f523308a9d232a1c20058149868cc413511ef7d3c7a57bd9354938
+DIST uv-0.4.10.gh.tar.gz 2585899 BLAKE2B f941068e58877cc859b2eb52f3b35ea79cdf23aa33f746dc1e7e954a77d5a3f08fbbed8a8312f750143cef6a0eb812eb783750750eccf6144ef869f1f69732b3 SHA512 9582d8f97515bc182d699f9994a21f7c883203dabb338848c751d97737c864272e5efbaf3a81d08545caac6643ba9cbde2fe11769ec6b98062416d7501d022f8
DIST uv-0.4.9-crates.tar.xz 46250584 BLAKE2B 6beb0a00885b674f3d8e35c67372d4ba04c6512306f78522fac2ff170d7cc6cb6c0702546da1d1de3dc84397f04258c56558c666b8f935130a0fea1debce01d0 SHA512 676f6a197af92bc9f6716c0e1df1f87d81b1b07dc81c591b94b34b985bbe4a49fb0b319fe8fba7f83d158124af84f64ebefe1ce0119e6238f9ae837e4652c5c0
DIST uv-0.4.9.gh.tar.gz 2580667 BLAKE2B baadc0d950d57e224d7d4980424ab58c4e278c2d67a06e9d83d778ac5a6b561cdadfc514c5068ce365dbdb4da3b5165e4180567f7abe90f46d5597fce144b91d SHA512 d7746d71f1429df7d39c3f03c02934792124318f92d2eda03b68a255586567d053349e6d294da0910351d976844aee564334540563435d0e60f6a3792088f416
diff --git a/dev-python/uv/files/tokio-tar-0.3.1-ppc.patch b/dev-python/uv/files/tokio-tar-0.3.1-ppc.patch
deleted file mode 100644
index cb3c2f93cf57..000000000000
--- a/dev-python/uv/files/tokio-tar-0.3.1-ppc.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-diff --git a/src/archive.rs b/src/archive.rs
-index 63f4293..986a146 100644
---- a/src/archive.rs
-+++ b/src/archive.rs
-@@ -3,12 +3,13 @@ use std::{
- collections::VecDeque,
- path::Path,
- pin::Pin,
-- sync::{
-- atomic::{AtomicU64, Ordering},
-- Arc,
-- },
-+ sync::Arc,
- task::{Context, Poll},
- };
-+use portable_atomic::{
-+ AtomicU64,
-+ Ordering,
-+};
- use tokio::{
- io::{self, AsyncRead as Read, AsyncReadExt},
- sync::Mutex,
-diff -dup a/Cargo.toml b/Cargo.toml
---- a/Cargo.toml 2024-04-27 10:39:21.186708179 +0200
-+++ b/Cargo.toml 2024-04-27 10:39:37.940402613 +0200
-@@ -43,6 +43,9 @@ version = "0.2"
- [dependencies.futures-core]
- version = "0.3"
-
-+[dependencies.portable-atomic]
-+version = "1"
-+
- [dependencies.tokio]
- version = "1"
- features = [
diff --git a/dev-python/uv/uv-0.4.8.ebuild b/dev-python/uv/uv-0.4.10.ebuild
index 891f045cb8b8..ae16e664c50f 100644
--- a/dev-python/uv/uv-0.4.8.ebuild
+++ b/dev-python/uv/uv-0.4.10.ebuild
@@ -16,7 +16,7 @@ declare -A GIT_CRATES=(
inherit cargo check-reqs
-CRATE_PV=0.4.8
+CRATE_PV=0.4.9
DESCRIPTION="A Python package installer and resolver, written in Rust"
HOMEPAGE="
https://github.com/astral-sh/uv/
@@ -94,13 +94,6 @@ src_prepare() {
reqmw=${reqmw%;*}
sed -i -e "/^\[patch/,\$s@^\(reqwest-middleware = \).*@\1 { path = \"${WORKDIR}/reqwest-middleware-${reqmw}/reqwest-middleware\" }@" Cargo.toml || die
- # https://github.com/vorot93/tokio-tar/pull/23
- # (fortunately uv already depends on portable-atomic, so we don't
- # have to fight Cargo.lock)
- pushd "${ECARGO_VENDOR}/tokio-tar-0.3.1" >/dev/null || die
- eapply "${FILESDIR}/tokio-tar-0.3.1-ppc.patch"
- popd >/dev/null || die
-
# enable system libraries where supported
export ZSTD_SYS_USE_PKG_CONFIG=1
sed -i -e 's:"static"::' crates/uv-extract/Cargo.toml || die
diff --git a/dev-python/uv/uv-0.4.6.ebuild b/dev-python/uv/uv-0.4.6.ebuild
deleted file mode 100644
index 3990f1fa30dc..000000000000
--- a/dev-python/uv/uv-0.4.6.ebuild
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;011b24604fa7bc223daaad7712c0694bac8f0a87;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;388685a8711092971930986644cfed152d1a1f6c;pubgrub-%commit%'
- [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-middleware'
- [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-retry'
- [tl]='https://github.com/charliermarsh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
-)
-
-inherit cargo check-reqs
-
-CRATE_PV=0.4.2
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-BDEPEND="
- >=virtual/rust-1.80
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_prepare() {
- default
-
- # remove patch.* that breaks GIT_CRATES
- local reqmw=${GIT_CRATES[reqwest-middleware]}
- reqmw=${reqmw#*;}
- reqmw=${reqmw%;*}
- sed -i -e "/^\[patch/,\$s@^\(reqwest-middleware = \).*@\1 { path = \"${WORKDIR}/reqwest-middleware-${reqmw}/reqwest-middleware\" }@" Cargo.toml || die
-
- # https://github.com/vorot93/tokio-tar/pull/23
- # (fortunately uv already depends on portable-atomic, so we don't
- # have to fight Cargo.lock)
- cd "${ECARGO_VENDOR}/tokio-tar-0.3.1" || die
- eapply "${FILESDIR}/tokio-tar-0.3.1-ppc.patch"
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- # work around https://github.com/astral-sh/uv/issues/4376
- local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
- local -x COLUMNS=100
- local -x PYTHONDONTWRITEBYTECODE=
-
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/uv/uv-0.4.7.ebuild b/dev-python/uv/uv-0.4.7.ebuild
deleted file mode 100644
index 0f6e94f4f948..000000000000
--- a/dev-python/uv/uv-0.4.7.ebuild
+++ /dev/null
@@ -1,142 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;011b24604fa7bc223daaad7712c0694bac8f0a87;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;388685a8711092971930986644cfed152d1a1f6c;pubgrub-%commit%'
- [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-middleware'
- [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-retry'
- [tl]='https://github.com/charliermarsh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
-)
-
-inherit cargo check-reqs
-
-CRATE_PV=0.4.2
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- app-arch/bzip2:=
- app-arch/xz-utils:=
- app-arch/zstd:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.80
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_prepare() {
- default
-
- # remove patch.* that breaks GIT_CRATES
- local reqmw=${GIT_CRATES[reqwest-middleware]}
- reqmw=${reqmw#*;}
- reqmw=${reqmw%;*}
- sed -i -e "/^\[patch/,\$s@^\(reqwest-middleware = \).*@\1 { path = \"${WORKDIR}/reqwest-middleware-${reqmw}/reqwest-middleware\" }@" Cargo.toml || die
-
- # https://github.com/vorot93/tokio-tar/pull/23
- # (fortunately uv already depends on portable-atomic, so we don't
- # have to fight Cargo.lock)
- pushd "${ECARGO_VENDOR}/tokio-tar-0.3.1" >/dev/null || die
- eapply "${FILESDIR}/tokio-tar-0.3.1-ppc.patch"
- popd >/dev/null || die
-
- # enable system libraries where supported
- export ZSTD_SYS_USE_PKG_CONFIG=1
- sed -i -e 's:"static"::' crates/uv-extract/Cargo.toml || die
- # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
-
- # remove unbundled sources, just in case
- find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
-
- # bzip2-sys requires a pkg-config file
- # https://github.com/alexcrichton/bzip2-rs/issues/104
- mkdir "${T}/pkg-config" || die
- export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
- cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
- Name: bzip2
- Version: 9999
- Description:
- Libs: -lbz2
- EOF
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- # work around https://github.com/astral-sh/uv/issues/4376
- local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
- local -x COLUMNS=100
- local -x PYTHONDONTWRITEBYTECODE=
-
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/xpybutil/xpybutil-0.0.6.ebuild b/dev-python/xpybutil/xpybutil-0.0.6.ebuild
index 4dfacc135525..373a8ec8d009 100644
--- a/dev-python/xpybutil/xpybutil-0.0.6.ebuild
+++ b/dev-python/xpybutil/xpybutil-0.0.6.ebuild
@@ -16,6 +16,8 @@ LICENSE="WTFPL"
SLOT="0"
KEYWORDS="~amd64"
+RDEPEND=">=dev-python/xcffib-1.5.0[${PYTHON_USEDEP}]"
+
python_prepare_all() {
sed -i -e "s:share/doc/xpybutil:share/doc/xpybutil-${PV}:" setup.py || die
distutils-r1_python_prepare_all
diff --git a/dev-python/zipp/Manifest b/dev-python/zipp/Manifest
index b7eba9136534..8d84ef837273 100644
--- a/dev-python/zipp/Manifest
+++ b/dev-python/zipp/Manifest
@@ -1,2 +1,3 @@
DIST zipp-3.20.0.tar.gz 23244 BLAKE2B cc7d336089b4659ac884658f93246045a617d223cc3db538160cef1d705e781d341f6384ab32928e7ef2c6644cf6a0656f2b6fa23077da5df0ec66d9b2337b8f SHA512 c141c4b8bdaf2ff7639cfb85ba36735da1ca33e68b9fdcb7f350e5bd677ca39def00178aa3d481c733162beed4aa70f93525800f1af0618529ff36ca7e32327e
DIST zipp-3.20.1.tar.gz 23848 BLAKE2B 53c29d156bc3be25c59057079f26e9a02b426c5d8424ef721c6cebe4927ede8f1c5aadb405c70f57635fc1ad3abe5d511b2cdab32415c47e8faf13162ac72b5d SHA512 ed89c46d39ce703e233929146ce78332bfdd40cfad204c070247882f144fd0ec370c7499ce682ede938593b18870fa1dce8d746a0457e93c38be485378d6b546
+DIST zipp-3.20.2.tar.gz 24199 BLAKE2B 4014ad897ce248a1ae29a1ca79fbc9c9c40c1bd261dbfbe86b205f3b43bc2bfa0e3edd3573e85b7940307950a5b73ac99e797897ebdb923b38cf2d6f9b75638f SHA512 a8a625d36d75df879284ac9c61760c8320da927e119b27a1b04e60500233ed698439558d56a792b3da94080e78cc57c15c2e62ec8af466aa3f79de4cf4818c77
diff --git a/dev-python/zipp/zipp-3.20.2.ebuild b/dev-python/zipp/zipp-3.20.2.ebuild
new file mode 100644
index 000000000000..e0085c870673
--- /dev/null
+++ b/dev-python/zipp/zipp-3.20.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Backport of pathlib-compatible object wrapper for zip files"
+HOMEPAGE="
+ https://github.com/jaraco/zipp/
+ https://pypi.org/project/zipp/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+# big_o is only used in test_complexity, that we ignore
+BDEPEND="
+ test? (
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/jaraco-itertools[${PYTHON_USEDEP}]
+ dev-python/jaraco-test[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # performance tests are flaky by design
+ tests/test_complexity.py
+)
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "zipp"
+ version = "${PV}"
+ description = "Backport of pathlib-compatible object wrapper for zip files"
+ EOF
+}